//==============================================================================
// InputController.h - This is is the class definition for the abstraction of
//     which input controller is used to control the Hex robot.  There will be
//     several implementations of this class, which include:
//         PS2 - 
//         XBEE
//         Serial
//         Autonomous
//==============================================================================
#ifndef _INPUT_CONTROLLER_h_
#define _INPUT_CONTROLLER_h_

#include "Hex_Cfg.h"  // make sure we know what options are enabled...
#if ARDUINO>99
#include <Arduino.h> // Arduino 1.0
#else
#include <Wprogram.h> // Arduino 0022
#endif

class InputController {
  public:
    void     Init(void);
    void     ControlInput(void);
    void     AllowControllerInterrupts(boolean fAllow);

  private:
  

} ;   

#endif //_INPUT_CONTROLLER_h_
